<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:padding="15dp"
    android:layout_height="wrap_content">

    <TextView
        android:layout_width="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:id="@+id/id_goods_name"
        style="@style/ListTextStyle"
        android:text="水族"
        android:layout_height="wrap_content"/>
    <TextView
        android:layout_width="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/id_goods_name"
        app:layout_constraintStart_toStartOf="parent"
        android:id="@+id/id_trans_type"
        android:text="买多"
        style="@style/ListSummaryTextStyle"
        android:layout_height="wrap_content"/>

    <TextView
        android:layout_width="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:id="@+id/id_deal_num"
        android:text="成交数量"
        android:gravity="end"
        style="@style/ListTextStyle"
        android:layout_height="wrap_content"/>
    <TextView
        android:layout_width="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/id_deal_num"
        app:layout_constraintEnd_toEndOf="@+id/id_deal_num"
        android:id="@+id/id_deal_price"
        android:text="1552"
        style="@style/ListSummaryTextStyle"
        android:layout_height="wrap_content"/>

    <TextView
        android:layout_width="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:id="@+id/id_deal_time"
        android:text="11:09:30"
        style="@style/ListTextStyle"
        android:layout_height="wrap_content"/>

    <!--    隐藏的button-->
    <!--    图表-->
    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/id_chart"
        android:text="@string/str_chart"
        style="@style/ListBottomStyle"
        android:layout_marginEnd="10dp"
        app:layout_goneMarginEnd="0dp"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@+id/id_trans_type"
        app:layout_constraintEnd_toStartOf="@+id/id_deal_detail"
        android:layout_height="wrap_content"/>

    <!--详情-->
    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/id_deal_detail"
        android:text="@string/details"
        android:visibility="gone"
        style="@style/ListBottomStyle"
        app:layout_constraintTop_toBottomOf="@+id/id_trans_type"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_height="wrap_content"/>

</androidx.constraintlayout.widget.ConstraintLayout>